<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <h1>Block Scoped Variables</h1>
</body>

<script>
    function foo1() {
        var fruit1 = 'apple';
        const fruit2 = 'banana';
        let fruit3 = 'strawberry';

        function foo2() {
            console.log(fruit1);
            console.log(fruit2);
            console.log(fruit3);
        }
        foo2();
    }
    foo1();

    //Output: ghi được ra console giá trị của các biến.
</script>

</html>